<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SubjectBucket extends Model
{
    protected $guarded = ['id'];

    public function items()
    {
        return $this->hasMany(SubjectBucketItem::class);
    }

    public function subjects()
    {
        return $this->belongsToMany(Subject::class, 'subject_bucket_items');
    }
}
